import { _decorator } from 'cc';
import { UIBase } from '../GameFrameWork/UIBase';
import { UIMgr } from '../../Frames/UIManager';
import { localDt } from '../../Frames/LocalDt';
const { ccclass, property } = _decorator;

@ccclass('Start')
export class Start extends UIBase {
    protected onStart() {
        this.onBtnClick("_btnStart", this._btnStart, this);
        this.onBtnClick("_btnMusic", this._btnMusic, this);
        this.onBtnClick("_clearData", this._btnClearDt, this)
    }

    private _btnStart() {
        UIMgr.closeUI("Start");
    }

    private _btnMusic() {

    }

    //清除本地数据
    private _btnClearDt(){
        localDt.clearAll();
    }
}


